Loading...
Searching...
No Matches
DcmSegTypes Class Reference

General purpose class hiding global functions, constants and types in the segmentation context from the global namespace. More...

## Public Types

enum | E_SegmentationType { ST_UNKNOWN , ST_BINARY , ST_FRACTIONAL , ST_LABELMAP }
| Segmentation object types. More...
enum | E_SegmentAlgoType { SAT_UNKNOWN , SAT_AUTOMATIC , SAT_SEMIAUTOMATIC , SAT_MANUAL }
| Segment Algorithm Type. More...
enum | E_SegmentationFractionalType { SFT_UNKNOWN , SFT_PROBABILITY , SFT_OCCUPANCY }
| Segmentation object Fractional Type. More...
enum | E_SegmentationLabelmapColorModel { SLCM_UNKNOWN , SLCM_MONOCHROME2 , SLCM_PALETTE }
| Labelmap Segmentation desired color model. More...

## Static Public Member Functions

static OFString | algoType2OFString (E_SegmentAlgoType algo)
| Return string representation of algorithm type.
static E_SegmentAlgoType | OFString2AlgoType (const OFString &algoType)
| Return enum representation of algorithm type string as found in segmentation objects.
static DcmSegTypes::E_SegmentationType | OFString2Segtype (const OFString &value)
| Return enum representation of segmentation type string as found in segmentation objects.
static OFString | segtype2OFString (const DcmSegTypes::E_SegmentationType &value)
| Return string representation from segmentation enum type.
static DcmSegTypes::E_SegmentationFractionalType | OFString2FractionalType (const OFString &value)
| Return enum representation of fractional type string as found in segmentation objects.
static OFString | labelmapColorModel2OFString (const DcmSegTypes::E_SegmentationLabelmapColorModel value, const OFString &fallbackValue="")
| Returns string representation from labelmap color enum type.
static DcmSegTypes::E_SegmentationLabelmapColorModel | OFString2LabelmapColorModel (const OFString &value)
| Return enum representation of photometric interpretation type string as found in segmentation objects.

## Detailed Description

General purpose class hiding global functions, constants and types in the segmentation context from the global namespace.

## Member Enumeration Documentation

## E_SegmentAlgoType

enum DcmSegTypes::E_SegmentAlgoType

Segment Algorithm Type.

Enumerator
SAT_UNKNOWN | Unknown (e.g. not initialized).
SAT_AUTOMATIC | Calculated segment.
SAT_SEMIAUTOMATIC | Calculated segment with user interaction.
SAT_MANUAL | Manual segment creation.

## E_SegmentationFractionalType

enum DcmSegTypes::E_SegmentationFractionalType

Segmentation object Fractional Type.

Enumerator
SFT_UNKNOWN | Unknown (e.g. not initialized).
SFT_PROBABILITY | For fractional segmentations, a value defines probability that pixel belongs to segment.
SFT_OCCUPANCY | For fractional segmentations, a value defines how much of the pixel is covered by the segment.

## E_SegmentationLabelmapColorModel

enum DcmSegTypes::E_SegmentationLabelmapColorModel

Labelmap Segmentation desired color model.

Enumerator
SLCM_UNKNOWN | Unknown (e.g. not initialized).
SLCM_MONOCHROME2 | Monochrome 1 Bit.
SLCM_PALETTE | Palette Color.

## E_SegmentationType

enum DcmSegTypes::E_SegmentationType

Segmentation object types.

Enumerator
ST_UNKNOWN | Unknown (e.g. not initialized).
ST_BINARY | Binary segmentation with 1 bit depth denoting whether a pixel belongs to a segmentation or not.
ST_FRACTIONAL | Fractional segmentation where fraction specifies how much of voxel is occupied by the segment.
ST_LABELMAP | Labelmap segmentation where each segment is assigned a unique.

## Member Function Documentation

## algoType2OFString()

OFString DcmSegTypes::algoType2OFString | ( | E_SegmentAlgoType | algo | ) |

static

Return string representation of algorithm type.

Parameters

  algo | The algorithm type

Returns
  The algorithm type as a string

## labelmapColorModel2OFString()

OFString DcmSegTypes::labelmapColorModel2OFString | ( | const DcmSegTypes::E_SegmentationLabelmapColorModel | value,
|  | const OFString & | fallbackValue = "" )

static

Returns string representation from labelmap color enum type.

Parameters

  value | The labelmap color model as enum value
  fallbackValue | The value to use if the enum value is unknown or invalid (not used if empty)

Returns
  The labelmap color model as a string

## OFString2AlgoType()

E_SegmentAlgoType DcmSegTypes::OFString2AlgoType | ( | const OFString & | algoType | ) |

static

Return enum representation of algorithm type string as found in segmentation objects.

Parameters

  algoType | The algorithm type as a string

Returns
  The algorithm type as enum value

## OFString2FractionalType()

DcmSegTypes::E_SegmentationFractionalType DcmSegTypes::OFString2FractionalType | ( | const OFString & | value | ) |

static

Return enum representation of fractional type string as found in segmentation objects.

Parameters

  value | The fractional type as a string

Returns
  The fractional type as enum value

## OFString2LabelmapColorModel()

DcmSegTypes::E_SegmentationLabelmapColorModel DcmSegTypes::OFString2LabelmapColorModel | ( | const OFString & | value | ) |

static

Return enum representation of photometric interpretation type string as found in segmentation objects.

Parameters

  value | The photometric interpretation type as a string

Returns
  The photometric interpretation type as enum value

## OFString2Segtype()

DcmSegTypes::E_SegmentationType DcmSegTypes::OFString2Segtype | ( | const OFString & | value | ) |

static

Return enum representation of segmentation type string as found in segmentation objects.

Parameters

  value | The segmentation type as a string

Returns
  The segmentation type as enum value

## segtype2OFString()

OFString DcmSegTypes::segtype2OFString | ( | const DcmSegTypes::E_SegmentationType & | value | ) |

static

Return string representation from segmentation enum type.

Parameters

  value | The segmentation type as enum value

Returns
  The segmentation type as a string

Referenced by DcmSegmentation::addFrame().

The documentation for this class was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/segtypes.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0